ini = 2249;
fin = 2669;

accTL(ini:fin,58)= accTL(ini:fin,1);
accTL(ini:fin,59)= accTL(ini:fin,2);
accTL(ini:fin,60)= accTL(ini:fin,3);
accTL(ini:fin,1)= accTL(ini-1,1);
accTL(ini:fin,2)= accTL(ini-1,2);
accTL(ini:fin,3)= accTL(ini-1,3);
magTL(ini:fin,59)= magTL(ini:fin,2);
magTL(ini:fin,60)= magTL(ini:fin,3);
magTL(ini:fin,58)= magTL(ini:fin,1);
magTL(ini:fin,1)= magTL(ini-1,1);
magTL(ini:fin,2)= magTL(ini-1,2);
magTL(ini:fin,3)= magTL(ini-1,3);
tempTL(ini:fin,20)= tempTL(ini:fin,1);
tempTL(ini:fin,1)= tempTL(ini-1,1);

accTL(18229:end,58)= accTL(18229:end,1);
accTL(18229:end,59)= accTL(18229:end,2);
accTL(18229:end,60)= accTL(18229:end,3);
accTL(18229:end,1)= accTL(18228,1);
accTL(18229:end,2)= accTL(18228,2);
accTL(18229:end,3)= accTL(18228,3);
magTL(18229:end,59)= magTL(18229:end,2);
magTL(18229:end,60)= magTL(18229:end,3);
magTL(18229:end,58)= magTL(18229:end,1);
magTL(18229:end,1)= magTL(18228,1);
magTL(18229:end,2)= magTL(18228,2);
magTL(18229:end,3)= magTL(18228,3);
tempTL(18229:end,20)= tempTL(18229:end,1);
tempTL(18229:end,1)= tempTL(18228,1);

angTLHR(ini:fin,39)= angTLHR(ini:fin,1);
angTLHR(ini:fin,40)= angTLHR(ini:fin,2);
angTLHR(ini:fin,1)= angTLHR(ini-1,1);
angTLHR(ini:fin,2)= angTLHR(ini-1,2);
angTLHR(18229:end,39)= angTLHR(18229:end,1);
angTLHR(18229:end,40)= angTLHR(18229:end,2);
angTLHR(18229:end,1)= angTLHR(18228,1);
angTLHR(18229:end,2)= angTLHR(18228,2);
tempTLHR(ini:fin,20)= tempTLHR(ini:fin,1);
tempTLHR(ini:fin,1)= tempTLHR(ini-1,1);
tempTLHR(18229:end,20)= tempTLHR(18229:end,1);
tempTLHR(18229:end,1)= tempTLHR(18228,1);